﻿/* License
 * 
 * The MIT License (MIT)
 *
 * Copyright (c) 2013, Sylvain PONTOREAU (pontoreau.sylvain@outlook.com / sylvain.pontoreau.com)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

using System;

namespace Xlsx.ComponentModel.Enums
{
    /// <summary>
    /// List of xlsx data type support by the XlsxDataBinder.
    /// </summary>
    [Flags()]
    public enum XlsxDataType
    {
        /// <summary>
        /// None xlsx data type.
        /// </summary>
        None = 0,

        /// <summary>
        /// Numeric xlsx data type.
        /// </summary>
        Numeric = 1,

        /// <summary>
        /// String xlsx data type.
        /// </summary>
        String = 2,

        /// <summary>
        /// Boolean xlsx data type.
        /// </summary>
        Boolean = 4,

        /// <summary>
        /// DateTime xlsx data type.
        /// </summary>
        DateTime = 8,

        /// <summary>
        /// Object xlsx data type.
        /// </summary>
        Object = 16
    }
}
