﻿/* License
 * 
 * The MIT License (MIT)
 *
 * Copyright (c) 2013, Sylvain PONTOREAU (pontoreau.sylvain@outlook.com / sylvain.pontoreau.com)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

using System.Linq;
using Xlsx.DataBinder.Resources;

namespace Xlsx.DataBinder
{
    /// <summary>
    /// Helper for xlsx file format
    /// </summary>
    public static class XlsxHelper
    {
        /// <summary>
        /// Get column name corresponding to a column index
        /// </summary>
        /// <param name="columnIndex">Column index</param>
        /// <returns>Column name</returns>
        public static string GetColumnName(int columnIndex)
        {
            char firstColumn = XlsxFormat.ColumnStartName.First();

            if (columnIndex < 26)
                return ((char)(XlsxFormat.ColumnStartName.First() + columnIndex)).ToString();

            var first = (char)(firstColumn + (columnIndex / 26) - 1);
            var second = (char)(firstColumn + (columnIndex % 26));

            return string.Format(XlsxFormat.ColumnFormat, first, second);
        }
    }

}
